function [mu,sigmasquare,TRC_ij]=lognormaldistr(ExpTransTktFile,Expvectors, EdgeConn)
%% To first estimate the log normal distribution of relative knowledge difference between a sender and a receiver

senderset=ExpTransTktFile(:,1);
receiverset=ExpTransTktFile(:,2);

senderknow=Expvectors(senderset,:);
receiverknow=Expvectors(receiverset,:);

variablelog=sqrt(sum((senderknow-receiverknow).^2,2))./sqrt(sum(senderknow.^2,2));
normvar=log(variablelog);

mu=mean(normvar);
sigmasquare=(std(normvar))^2;



[sender1,receiver1]=find(EdgeConn);
senderknow1=Expvectors(sender1,:);
receiverknow1=Expvectors(receiver1,:);

variablelog1=sqrt(sum((senderknow1-receiverknow1).^2,2))./sqrt(sum(senderknow1.^2,2));
normvar1=log(variablelog1);

valfij=1./variablelog1 .*exp(-(normvar1-mu).^2./(2*sigmasquare));

sparseTRC=sparse(sender1, receiver1, valfij, size(EdgeConn,1), size(EdgeConn,2));
TRC_ij=full(sparseTRC);